/* 
	AZserv.exe

% Compile
>set AZPL=%AZProlog%\system\pl
>azpc -p azserv.pl /e azserv /i $(AZPL)\setof.pl $(AZPL)\utility.pl $(AZPL)\grammar.pl
>copy azserv.exe %AZProlog%\bin

% Register Server
>azserv -p "%AZProlog%\bin"

*/

top_level :-
	getwdir(WDIR),
	atom_append(WDIR,'\azserv.exe -nologo -p',Shell),
	automation(
		'{040235B0-D16C-11CE-894C-0000C0C0DFDF}',
		'Prolog.Toplevel',
		Shell).

getwdir(WDIR) :- get_parameter(Param),getwdir(Param,WDIR).
getwdir([Arg|L],WDIR) :- name(Arg,[0'2f|_]),!,getwdir(L,WDIR).
getwdir([WDIR|_],WDIR).
